<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"   %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt" %>
<%@ page import="java.util.Collection" %>
<%@ page import="com.idca.fsim.searchers.files.models.Host" %>
<%@ page import="com.idca.fsim.searchers.files.FilesListener" %>
<%@ page import="com.idca.fsim.searchers.files.PathManager" %>
<%
	Collection hosts = FilesListener.getPathManager().getHosts();
	request.setAttribute("hosts",hosts);
%>
<table>
	<thead>
		<tr>
			<td></td>
			<td></td>
			<td></td>
		</tr>
	</thead>
	<tbody>
		<c:forEach var="host" items="${hosts}">
			<tr>
				<td>&gt; <c:out value="${host.hostname}"/></td>
				<td>
					<span class="resultDetails">
					<%
						Host host = (Host)request.getAttribute("host");
						out.println(host.getRootPaths().size());
					%>
					</span>
				</td>
				<td>
					<span class="resultDetails">
						<c:out value="${host.lastScanned}"/>
					</span>
				</td>
			</tr>
		</c:forEach>
	</tbody>
</table>