/*
 * Created on jul 16, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.core.plugins;

import	com.idca.fsim.models.Hit;

import	java.io.PrintWriter;
import	java.io.IOException;

/**
 * Renders searched results
 * 
 * @author Willem Cazander
 * @version 1.0 16/07/2005
 */
public interface ResultRenderer
{
	/**
	 * 
	 * @param out
	 * @param hit
	 * @param model
	 * @throws IOException
	 * @throws ClassCastException
	 */
	public void buildXML(PrintWriter out,Hit hit,Object model,String keywords) throws IOException,ClassCastException;

	/**
	 * 
	 * @param out
	 * @param hit
	 * @param model
	 * @throws IOException
	 * @throws ClassCastException
	 */
	public void buildHTML(PrintWriter out,Hit hit,Object model,String keywords) throws IOException,ClassCastException;
}