<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ page import="com.idca.fsim.web.session.SearchBean" %>
<%@ page import="java.util.Enumeration" %>
<div class="fsimSessions">
	<table border="1">
		<thead>
			<tr>
				<td width="15%">SESSIONID</td>
				<td width="10%">created</td>
				<td width="10%">last access</td>
				<td>objects</td>
			</tr>
		</thead>
		<tbody>
			<c:forEach var="session2" items="${sessions}">
				<tr>
					<td><c:out value="${session2.id}"/></td>
					<td><c:out value="${session2.creationTime}"/></td>
					<td><c:out value="${session2.lastAccessedTime}"/></td>
					<td>
						<%
							Enumeration sessionNames = session.getAttributeNames();
							while (sessionNames.hasMoreElements()) {
								String sessionName = (String)sessionNames.nextElement();
								String className = session.getAttribute( sessionName ).getClass().getName();
								out.println(sessionName+"("+className+")<br/>");
								
								Object object = session.getAttribute(sessionName);
								if(object instanceof SearchBean)
								{
									SearchBean sb = (SearchBean)object;
									out.println("searched: "+sb.getSearchQuery()+"<br/>");
								}
							}
						
						%>
					</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
</div>