/*
 * Created on jul 23, 2005
 *
 * Copyright 2004 IDCA. All rights reserved.
 * IDCA PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package	com.idca.fsim.core.config;

import	com.idca.fsim.core.FsimContext;
import	com.mbuyu.foei.xml.AbstractXMLTagHandler;

import	org.xml.sax.Attributes;
import	org.xml.sax.SAXException;

/**
 * The plugin pages
 * 
 * @author Willem Cazander
 * @version 1.0 23/07/2005
 */
public class JSPIncludePageTagHandler extends AbstractXMLTagHandler
{
	/** */
	private FsimContext fc = null;

	public JSPIncludePageTagHandler(FsimContext fc)
	{
		this.fc=fc;
		setTag("pluginPage");
	}
	
	/**
	 * 
	 */
	public void startElement(String nameSpace,String tag,Attributes attributes) throws SAXException
	{
		if(getTag().equals(tag))
		{
			String name = attributes.getValue("name");
			String file = attributes.getValue("file");
			fc.addJSPIncludePage(name,file);
		}
	}
}