


package com.idca.fsim.core.indexer;

import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.logging.Logger;

/**
 * Manages the Indexers.
 * 
 * @author Willem Cazander
 * @version 1.0 Jan 22, 2006
 */
public class IndexerManager {
	
	private Logger logger = null;
	
	private ThreadPoolExecutor threadPoolExecutor = null;
	
	public IndexerManager() {
		logger = Logger.getLogger(IndexerManager.class.getName());
		logger.info("Creating IndexerManger");
		threadPoolExecutor = new ThreadPoolExecutor(1,3,180,TimeUnit.SECONDS,new LinkedBlockingQueue<Runnable>());
	}
	
	// ===== methodes
	
	public ThreadPoolExecutor getThreadPoolExecutor() {
		return threadPoolExecutor;
	}
}