/*
 * 
 * 
 */

package	com.idca.fsim.core.plugins;

import	com.idca.fsim.core.FsimContext;

/**
 * An SearchSource indexer
 * 
 * @author Willem Cazander
 * @version 1.0 Aug 2, 2005
 */
public interface Indexer
{
    /**
     * Indexes the full SearchSource
     * if this not possible then return an object which we use as startIndex
     * 
     * @param source
     * @return
     */
    public void index(SearchSource source);
    
    public void setFsimContext(FsimContext fsimContext);
    
}
