/*
 * 
 * 
 */

package	com.idca.fsim.searchers.files.models;

import	java.util.Date;

/**
 * A File on the network.
 * 
 * @author Willem Cazander
 * @version 1.0 18/07/2005
 */
public class File
{
	private String name = null;
	private int size = 0;
	private Path path = null;
	
	public void setName(String name) {
		this.name = name;
	}
	public String getName() {
		return name;
	}
	
	public void setSize(int size) {
		this.size=size;
	}
	public int getSize() {
		return size;
	}
	
	public void setPath(Path path) {
		this.path=path;
	}
	public Path getPath() {
		return path;
	}
	
	static public String printSize(File file)
	{
		String size = Float.toString(new Float(file.getSize()).floatValue()/1024/1000);
		if(size.length()>4)
		{
			size = size.substring(0,4);
		}
		
		if(0==(int)(file.getSize()/1024/1000))
		{
			size = Integer.toString((int)new Float(file.getSize()).floatValue()/1024);
			if(size.equals("0"))
			{
				size = ""+file.getSize();
			}
		}
		if(size.endsWith("."))
		{
			size = size.substring(0,size.length()-1);
		}
		
		String sizeType = "MegaByte";
		if(0==(int)(file.getSize()/1024/1000))
		{
			sizeType = "KiloByte";
			if(0==(int)(file.getSize()/1024))
			{
				sizeType = "Byte";
			}
		}
	
		return size+" "+sizeType;
		
	}
}
